Brand Adoption by HCP dashboard displays the training and results of the classification problem on whether an individual healthcare provider is expected to adopt (prescribe) a brand given its characteristics and past marketing activities (see [Data Analytics](article:12)). 

The first tab shows the training data and modeling results through the  **confusion matrix** .  **What-if**  analysis beyond the functionality of evaluating the effect of differenct combinations of variables in the predicted target (binary ```brand_adoption```) also shows the exact features preselected by the user for the training session. 
![d2p1.png](jdQ5XPW64pXY)

 **Score New Data**  tab shows the results for individual HCP from the input test dataset. The user has the option to select from the standard webapp an Account ID (save and run the scenario) and refresh the visual displays. The first graph shows the feature importance for this prediction derived from the SHAPley values. The last graph shows the omnichannel history of the selected account, combined with the SHAP importance can be used to quantify the marketing effect on this account and to build a profile with positive and negative influence metrics.
![d2p2.png](msTeIEtac7jj)
![d2p3.png](kksb0DMFx1Um)